<ion-content>
  <ion-card>
    <ion-card-header>
      <ion-card-title>
        <h1  ><b>Create your account!</b></h1>
      </ion-card-title>
    </ion-card-header>

    <ion-card-content>
      <!--{{users|json}}-->
      <ion-item class="container" >
        
          <ion-select  class="child" placeholder="Select Company" [(ngModel)]="selectedOption">
          <ion-select-option  *ngFor="let i of company" [value]="i.name">{{i.name|titlecase}}</ion-select-option>
        </ion-select>
        
        
      </ion-item>

      <form class="form" [formGroup]="formU">

        <div padding >

          <ion-item>
            <ion-input name="name" type="text" placeholder="Name.." formControlName="name"
              style="text-transform: capitalize; "></ion-input>
          </ion-item>

          <ion-item *ngIf="formU.controls['name'].invalid && formU.controls['name'].dirty ">
            <div style=" background-color: salmon;">The field is required</div>
          </ion-item>

          <ion-item>
            <ion-input name="lastname" type="text" placeholder="Last Name.." formControlName="lastname"
              style="text-transform: capitalize;"></ion-input>
          </ion-item>

          <ion-item *ngIf="formU.controls['lastname'].invalid && formU.controls['lastname'].dirty  ">
            <div style=" background-color: salmon;">The field is required</div>
          </ion-item>

          <ion-item>
            <ion-input name="email" type="email" placeholder="Email.." formControlName="email" email></ion-input>
          </ion-item>

          <ion-item *ngIf="formU.controls['email'].invalid && formU.controls['email'].dirty  ">
            <div style=" background-color: salmon;">The field is required</div>
          </ion-item>

          <ion-item>
            <ion-input name="password" type="password" placeholder="Password.." formControlName="password"></ion-input>
          </ion-item>

          <ion-item *ngIf="formU.controls['password'].invalid && formU.controls['password'].dirty ">
            <div style=" background-color: salmon;">The field is required</div>
          </ion-item>

        </div>
        <div style="text-align:center;" padding>
          <ion-button class="btn" color='primary' (click)="addNewUser()" size="large" type="submit" [disabled]="checkForm()">Register</ion-button>
        </div>

      </form>
    </ion-card-content>
  </ion-card>
</ion-content>
